Update an RBS volume

PUT/v1/remote_block_storage/volumes/{volume_id}

A PUT request to the /v1/remote_block_storage/volumes/{volume_id} endpoint will update an RBS volume. Updated parameters should be specified in the request body and a volume in the path parameter. Size can't be decreased. Increasing the size will send a 202 response code with the pending volume status. The 200 code serves for the name and label updates.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

volume_id*string

A unique identifier of an RBS volume. Use this request to list all volume IDs.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/remote_block_storage/volumes/oQeZJepZ" \  -H "Content-Type: application/json" \  -d '{    "size": 101,    "labels": {      "env": "production"    }  }'
{  "id": "oQeZJepZ",  "name": "new name",  "size": 100,  "status": "active",  "location_id": 224,  "location_code": "AMS224",  "flavor_id": 525,  "flavor_name": "RBS Flavor name273",  "iops": 76386,  "bandwidth": 75728,  "labels": {    "env": "production"  },  "ip_address": null,  "target_iqn": null,  "created_at": "2026-05-28T06:56:32.608Z",  "updated_at": "2026-05-28T06:56:32.713Z"}
{  "id": "y5eVMdEP",  "name": "name263",  "size": 100,  "status": "pending",  "location_id": 220,  "location_code": "AMS220",  "flavor_id": 521,  "flavor_name": "RBS Flavor name261",  "iops": 2060,  "bandwidth": 35663,  "labels": {    "env": "production"  },  "ip_address": null,  "target_iqn": null,  "created_at": "2026-05-28T06:56:31.362Z",  "updated_at": "2026-05-28T06:56:31.487Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Cluster in maintenance mode",  "code": "PRECONDITION_FAILED"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "size": "The new size should be bigger than the current one, The minimum volume size is 100 GB"  }}